# Uses of Interface
org.eclipse.debug.core.ILaunchMode

Packages that use ILaunchMode
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.

## Uses of ILaunchMode in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return ILaunchMode
Modifier and Type
Method
Description
`ILaunchMode`
ILaunchManager.`getLaunchMode(String mode)`
Returns the launch mode registered with the given mode identifier, or `null` if none.
`ILaunchMode[]`
ILaunchManager.`getLaunchModes()`
Returns all registered launch modes.